Subject: bug#9766: bug#9521: [RESEND] PATCH for bug #9521, *not* bug #9766

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Dec 2012 10:53:00 +0200

> From: Mark Lillibridge <[email-masked]>
> Date: Fri, 28 Dec 2012 12:55:25 -0800
> 
> 
>     This bug (#9521) was easy to fix.  The problem was with the
> rmail-insert-mime-forwarded-message function in rmailmm.el:1355:
> 
>   (defun rmail-insert-mime-forwarded-message (forward-buffer)
>     "Insert the message in FORWARD-BUFFER as a forwarded message.
>   This is the usual value of `rmail-insert-mime-forwarded-message-function'."
>     (let ((message-buffer
>   	 (with-current-buffer forward-buffer
>   	   (if rmail-buffer-swapped
>   	       forward-buffer
>   	     rmail-view-buffer))))
>       (save-restriction
>         (narrow-to-region (point) (point))
>         (message-forward-make-body-mime message-buffer))))
> 
> 
>     This does exactly the wrong thing by inserting the decoded version
> of the message.  Swapping the two buffers (forward-buffer,
> rmail-view-buffer) in the if expression fixes this:
> 
>   (defun rmail-insert-mime-forwarded-message (forward-buffer)
>     "Insert the message in FORWARD-BUFFER as a forwarded message.
>   This is the usual value of `rmail-insert-mime-forwarded-message-function'."
>     (let ((message-buffer
>   	 (with-current-buffer forward-buffer
>   	   (if rmail-buffer-swapped
> > 	       rmail-view-buffer
> > 	     forward-buffer))))
>       (save-restriction
>         (narrow-to-region (point) (point))
>         (message-forward-make-body-mime message-buffer))))

Thanks, I installed this simple change on the emacs-24 branch.

>     Note that this does not fix bug #9766, which was incorrectly merged
> with bug #9521.  The problem there (#9766) is that many email clients
> including in particular, the iPad email app, do not properly display
> RFC822 attachments or do not show it inline.  Fixing that problem
> requires substantial work, including on the design front.

I think #9766 is about both problems.  But I unmerged it anyway, and
am leaving it open for now.